hyphen-{hr,pl,ru}, Recommends: libreoffice-writer, all other hypen packages Suggests:

Bug #1762410 reported by Martin Wimpress  on 2018-04-09
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
hyphen-ru (Debian)
New
Unknown
hyphen-ru (Ubuntu)
Undecided
Gunnar Hjalmarsson
myspell-hr (Debian)
Fix Released
Unknown
myspell-hr (Ubuntu)
Medium
Gunnar Hjalmarsson
openoffice.org-hyphenation-pl (Debian)
New
Unknown
openoffice.org-hyphenation-pl (Ubuntu)
Medium
Gunnar Hjalmarsson

Bug Description

hyphen-{hr,pl,ru} are unlike any other i18n hyphen data package in that they Recommends: libreoffice-writer but all others Suggests:

## Expected results

Choosing a minimal install on Ubuntu 18.04 will never have any LibreOffice components installed.

## Actual results

Choosing a minimal install and either Croatian, Polish or Russian locale on Ubuntu 18.04 will leave LibreOffice Writer and it's dependencies installed.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in hyphen-ru (Ubuntu):
status: New → Confirmed
Changed in myspell-hr (Ubuntu):
status: New → Confirmed
Changed in openoffice.org-hyphenation-pl (Ubuntu):
status: New → Confirmed
Revision history for this message
Jeremy Bicha (jbicha) wrote :

These packages are synced from Debian. It would be great if someone affected by this bug would report this issue to Debian.

https://wiki.ubuntu.com/Debian/Bugs

affects: hyphen-ru (Ubuntu) → rus-ispell (Ubuntu)
Changed in rus-ispell (Ubuntu):
status: Confirmed → New
status: New → Confirmed
Jeremy Bicha (jbicha) on 2018-04-09
affects: rus-ispell (Ubuntu) → hyphen-ru (Ubuntu)
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Well, I just uploaded hyphen-ru, which is not synced currently, to the queue.

What really should be done is that libreoffice-dictionaries should start building hyphen-{hr,pl,ru} (those hyphenations are already in the source), and the source packages dealt with in this bug should be dropped. Right Mattia? :)

For now I think it makes sense to fix the minimal install feature in 18.04 for those languages, so I have prepared debdiffs.

Changed in hyphen-ru (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → Fix Committed
Changed in myspell-hr (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in openoffice.org-hyphenation-pl (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: Confirmed → In Progress
tags: added: patch
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :
Revision history for this message
Jeremy Bicha (jbicha) wrote :

Gunnar, for Ubuntu's main flavor, I fixed this issue earlier today. I did not look at any of the other Ubuntu flavors though.

https://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/ubuntu.bionic/revision/2663

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Ah, apparently I didn't know that. Hopefully we help some flavors by fixing this bug then.

Just discovered that I have permission to upload myspell-hr, so just did.

Changed in myspell-hr (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hyphen-ru - 20030310-1ubuntu3

---------------
hyphen-ru (20030310-1ubuntu3) bionic; urgency=low

  * debian/control:
    Suggest LO writer instead of recommending it (LP: #1762410).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 09 Apr 2018 23:39:00 +0200

Changed in hyphen-ru (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package myspell-hr - 20060617-2.4ubuntu1

---------------
myspell-hr (20060617-2.4ubuntu1) bionic; urgency=low

  * debian/control:
    Let hyphen-hr suggest LO writer instead of recommending it
    (LP: #1762410).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 09 Apr 2018 22:38:00 +0200

Changed in myspell-hr (Ubuntu):
status: Fix Committed → Fix Released
Mattia Rizzolo (mapreri) on 2018-04-10
affects: hyphen-ru (Debian) → myspell-hr (Debian)
Changed in myspell-hr (Debian):
status: Unknown → New
Revision history for this message
Mattia Rizzolo (mapreri) wrote :

Nothing particularly new, the relevant Debian bugs are several years old...

I'm making src:lo-dicts take over src:myspell-hr's binaries as the maintainer there has been inactive for 9+ years….

For the others two the activies were a tad more recent, so could somebody please open some bugs proposing take over or something?

Revision history for this message
Mattia Rizzolo (mapreri) wrote :

And I just sponsored openoffice.org-hyphenation-pl_3.0a-4ubuntu1_source.changes for Gunnar, so unsubscribing ~ubuntu-sponsors.

Changed in openoffice.org-hyphenation-pl (Ubuntu):
status: In Progress → Fix Committed
Changed in openoffice.org-hyphenation-pl (Debian):
status: Unknown → New
Changed in hyphen-ru (Debian):
status: Unknown → New
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for sponsoring, Mattia!

openoffice.org-hyphenation-pl provides the very same file as resides in the lo-dicts source, and the package hasn't been touched in 7 years, so I'd vote for taking over that too. oo-hyphenation-pl serves no meaningful purpose.

The Russian case requires some investigation before doing anything, since Ubuntu currently converts the encoding from KOI8-R to UTF-8 as a result of bug #1107859. lo-dicts still has KOI8-R.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org-hyphenation-pl - 1:3.0a-4ubuntu1

---------------
openoffice.org-hyphenation-pl (1:3.0a-4ubuntu1) bionic; urgency=low

  * debian/control:
    Suggest LO writer instead of recommending it (LP: #1762410).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 09 Apr 2018 23:07:00 +0200

Changed in openoffice.org-hyphenation-pl (Ubuntu):
status: Fix Committed → Fix Released
Changed in myspell-hr (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.